/* include/fichiers.h - Lecture/criture des donnes
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: fichiers.h,v 1.14 2005/04/20 23:19:17 romexzf Exp $
 */

#ifndef HAVEINC_fichier
#define HAVEINC_fichier

#define HF_WRITE 	0x1
#define HF_SQLLOG 	0x2

#define DBVERSION_U 1
#define DBVERSION_C 1

extern int db_load_users(void);
extern int db_load_chans(void);
extern int db_write_users(void);
extern int db_write_chans(void);

extern void write_cmds(void);
extern int load_cmds(void);
extern int load_dnr(void);
extern void write_dnr(void);

extern int write_files(aNick *, aChan *, int, char **);

#endif /*HAVEINC_fichier*/
