/* include/vote.h
 * Copyright (C) 2002-2004 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: vote.h,v 1.2 2004/03/18 12:18:08 romexzf Exp $
 */

#ifndef HAVEINC_vote
#define HAVEINC_vote

#define MAXVOTEPROP 20

struct votes {
	char prop[MEMOLEN + 1];
	int voies;
};

struct Vote {
	int *result;
	int actif;
	int nbprop;
	int level;
};

extern struct votes vote[];
extern struct Vote Vote;

extern void write_votes(void);
extern void load_votes(void);
extern void show_vote(aNick *);
extern int vote_results(aNick *, aChan *, int, char **);
extern int voter(aNick *, aChan *, int, char **);
extern int do_vote(aNick *, aChan *, int, char **);

#endif /*HAVEINC_vote*/
