/* include/add_info.h - Ajout d'informations en mmoire
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: add_info.h,v 1.7 2005/04/22 22:29:42 romexzf Exp $
 */

#ifndef HAVEINC_add_info
#define HAVEINC_add_info

#ifdef USE_MEMOSERV
extern void add_memo(anUser *, const char *, time_t, const char *, int);
#endif
#ifdef USE_NICKSERV
extern void add_killinfo(aNick *, enum TimerType);
#endif

extern int add_server(const char *, const char *, const char *, const char *, const char *);
extern aDNR *add_dnr(const char *, const char *, const char *, time_t, unsigned int);
extern anAccess *add_access(anUser *, const char *, int, int, time_t);
extern void add_join(aNick *, const char *, int, time_t, aChan *);
extern void add_ban(aChan *, const char *, const char *, const char *, time_t, time_t, int);

#endif /*HAVEINC_add_info*/
