/* include/del_info.h - Suppression d'informations en mmoire
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: del_info.h,v 1.5 2005/04/22 22:29:42 romexzf Exp $
 */

#ifndef HAVEINC_del_info
#define HAVEINC_del_info

#ifdef USE_NICKSERV
extern int kill_remove(aNick *);
extern void kill_free(aKill *);
#endif

extern void del_dnr(aDNR *);
extern void del_access(anUser *, aChan *);
extern void del_join(aNick *, const char *);
extern void del_link(aChan *, aNick *);
extern void del_ban(aChan *, aBan *);

#endif /*HAVEINC_del_info*/
