/* include/socket.h
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: socket.h,v 1.8 2005/04/25 15:56:15 romexzf Exp $
 */

#ifndef HAVEINC_socket
#define HAVEINC_socket

#define TCPWINDOWSIZE 513 /*  augmenter si le rseau augmente de taille */
#define MAXPARA 16

#define SOCK_REGISTER(fd) do { 					\
		if((fd) > highsock) highsock = (fd); 	\
		FD_SET((fd), &global_fd_set); 			\
} while(0)

extern fd_set global_fd_set;
extern int highsock;

extern int init_bot(unsigned long int);
extern int run_bot(int);
extern void sockets_close(void);

#endif /*HAVEINC_socket*/
