/* src/token.h listes des tokens P10
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef N2K
#define TOKEN_PRIVMSG "P"
#define TOKEN_PING "G"
#define TOKEN_NICK "N"
#define TOKEN_JOIN "J"
#define TOKEN_PART "L"
#define TOKEN_MODE "M"
#define TOKEN_KICK "K"
#define TOKEN_CREATE "C"
#define TOKEN_QUIT "Q"
#define TOKEN_ACCOUNT "AC"
#define TOKEN_BURST "B"
#define TOKEN_AWAY "A"
#define TOKEN_SERVER "S"
#define TOKEN_SQUIT "SQ"
#define TOKEN_TOPIC "T"
#define TOKEN_KILL "D"
#define TOKEN_WHOIS "W"
#define TOKEN_PASS "PASS"
#define TOKEN_EOB "EB"
#define TOKEN_EOBACK "EA"
#define TOKEN_PONG "Z"
#define TOKEN_WALLOPS "WA"
#define TOKEN_NOTICE "O"
#define TOKEN_SVSMODE "SVSMODE"
#define TOKEN_SVSNICK "SVSNICK"
#define TOKEN_INVITE "I"
#define TOKEN_GLINE "GL"
#define TOKEN_WALLCHOPS "WC"
#else
#define TOKEN_PRIVMSG "PRIVMSG"
#define TOKEN_PING "PING"
#define TOKEN_NICK "NICK"
#define TOKEN_JOIN "JOIN"
#define TOKEN_PART "PART"
#define TOKEN_MODE "MODE"
#define TOKEN_KICK "KICK"
#define TOKEN_CREATE "CREATE"
#define TOKEN_QUIT "QUIT"
#define TOKEN_ACCOUNT "ACCOUNT"
#define TOKEN_BURST "BURST"
#define TOKEN_AWAY "AWAY"
#define TOKEN_SERVER "SERVER"
#define TOKEN_SQUIT "SQUIT"
#define TOKEN_TOPIC "TOPIC"
#define TOKEN_KILL "KILL"
#define TOKEN_WHOIS "WHOIS"
#define TOKEN_SETHOST "SETHOST"
#define TOKEN_SETIDENT "SETIDENT"
#define TOKEN_PASS "PASS"
#define TOKEN_EOB "END_OF_BURST"
#define TOKEN_EOBACK " EOB_ACK"
#define TOKEN_PONG "PONG"
#define TOKEN_WALLOPS "WALLOPS"
#define TOKEN_NOTICE "NOTICE"
#define TOKEN_SVSMODE "SVSMODE"
#define TOKEN_SVSNICK "SVSNICK"
#define TOKEN_INVITE "INVITE"
#define TOKEN_GLINE "GLINE"
#define TOKEN_WALLCHOPS "WALLCHOPS"
#endif
