/* include/welcome.h
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: welcome.h,v 1.1 2003/12/12 17:44:58 romexzf Exp $
 */

#ifndef HAVEINC_welcome
#define HAVEINC_welcome

struct welcomeinfo {
	int id;
	char msg[250];
	int level;
	struct welcomeinfo *next;
};

extern struct welcomeinfo *welcomehead;

extern void write_welcome(void);
extern struct welcomeinfo *add_welcometolist(int, const char *);
extern int set_welcome(aNick *, aChan *, int, char **);
extern int add_welcome(aNick *, aChan *, int, char **);
extern int del_welcome(aNick *, aChan *, int, char **);
extern int list_welcome(aNick *, aChan *, int, char **);
extern void choose_welcome(const char *);
extern void load_welcome(void);

#endif /*HAVEINC_welcome*/
